com.gisgraphy.dao.hibernate

## Class RoleDaoHibernate

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - com.gisgraphy.dao.hibernate.GenericDaoHibernate<Role,Long>
      - - com.gisgraphy.dao.hibernate.RoleDaoHibernate

- All Implemented Interfaces:
    GenericDao<Role,Long>, RoleDao, org.springframework.beans.factory.InitializingBean

      public class RoleDaoHibernate
      extends GenericDaoHibernate<Role,Long>
      implements RoleDao

  This class interacts with Spring's HibernateTemplate to save/delete and retrieve Role objects.
  Author:
    Bryan Noll

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.dao.hibernate.GenericDaoHibernate

      `log`

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleDaoHibernate()` Constructor to create a Generics-based version using Role as the entity

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Role` | `getRoleByName(String rolename)` Gets role information based on rolename
    `void` | `removeRole(String rolename)` Removes a role from the database by name

    - ### Methods inherited from class com.gisgraphy.dao.hibernate.GenericDaoHibernate

      `exists, get, getAll, remove, save`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.gisgraphy.dao.GenericDao

      `exists, get, getAll, remove, save`

- - ### Constructor Detail

    - #### RoleDaoHibernate

          public RoleDaoHibernate()

      Constructor to create a Generics-based version using Role as the entity

  - ### Method Detail

    - #### getRoleByName

          public Role getRoleByName(String rolename)

      Gets role information based on rolename
      Specified by:
        `getRoleByName` in interface `RoleDao`
      Parameters:
        `rolename` - the rolename
      Returns:
        populated role object

    - #### removeRole

          public void removeRole(String rolename)

      Removes a role from the database by name
      Specified by:
        `removeRole` in interface `RoleDao`
      Parameters:
        `rolename` - the role's rolename

Copyright © 2015. All rights reserved.